####################################################################################################
# ファイル名：Mail.pm
# 機能：
# DB関連モジュール
# 
# 改訂履歴：
# 1.0.0：新規作成	2009/11/30
# 
####################################################################################################package Test;
package MailTransfer;

use utf8;
use MIME::Base64;
use Email::MIME;
use Email::MIME::Creator;
use Email::Send;
use Unicode::Japanese;
use Log::Log4perl;

use constant SENDMAIL_PATH => '/usr/sbin/sendmail';							# sendmailのURL
use constant FROM => 'yazawa-t@gp.hitachi.co.jp';							# 送信元アドレス
use constant TO => 'matsuya-akihiro@aist.go.jp,yazawa-t@gp.hitachi.co.jp';								# 宛先アドレス
use constant CC => '';														# CC
use constant BCC => '';														# BCC
use constant SUBJECT => "[MEDALS運用ツール] Webサイト更新検知 通知メール";	# 件名

use constant SUB_DEAD_LINK_WARN => "[MEDALS運用ツール] Webサーバからエラーが返ってきます";	# 件名(ステータスコードがエラー時に警告する際の)

sub send_mail {

	# ログ出力の準備
	Log::Log4perl->init('./log/conf/log4perl.conf');
	my $log = Log::Log4perl->get_logger();

	my ($subject);
	my ($msg);
	my ($from);
	my ($reply_to);
	my ($to);
	my ($cc);
	my ($bcc);
	
	$subject     = shift(@_);		# 件名
	$msg         = shift(@_);		# 本文
	$from        = shift(@_);		# 送信元メールアドレス
	$to          = shift(@_);		# 宛先メールアドレス
	$cc          = shift(@_);		# Cc
	$bcc         = shift(@_);		# Bcc
		
	# エンコード
	$subject = Unicode::Japanese->new($subject)->jis;
	$msg     = Unicode::Japanese->new($msg)->jis;
	
	# メール本文
	my @parts = (

		$msg,

	);
	
	# メールオブジェクトをつくる

	my $mail = Email::MIME->create(
		header => [
			"Content-Type" => 'text/plain; charset="ISO-2022-JP"',
			From    => $from,
			Reply   => $reply_to,
			To      => $to,
			Cc      => $cc,
			Bcc     => $bcc,
			Subject => $subject,
		],
		
		parts => [
			@parts
		],
	);
	
	# Sendmailのパスを指定
	$Email::Send::Sendmail::SENDMAIL = SENDMAIL_PATH;
	
	# Email::Send で送信
	my $sender = Email::Send->new({mailer => 'Sendmail'});
	
	$sender->send($mail) || $log->debug("[Error13] Mail Send Error");
	
	return (1);

}

1;

