#!/usr/bin/perl
########################################################################################
# ファイル名：add_item.cgi
# 機能：Item編集のAdd押下時に出力するアイテムグループリストを取得
#
# 改訂履歴：
# 1.0.0 ：新規作成      2009/11/12
# 
########################################################################################
use strict;
use warnings;
use lib qw( ./pm ./ );
use CGI qw(-unique_headers -nosticky);
use system_config;
use CGI;
use HTML::Template;
use common;
use utf8;

&main();
exit;

########################################################################################
# 関数名:main
# 機能  :main処理
# 引数  :なし
# 戻り値:1
########################################################################################
sub main {
	my $query = new CGI;
	my $item_group = get_item_group_list();
	
	
	# 検索結果
	my $template = HTML::Template->new(filename => './template/add_item.tmpl');
	$template->param( ITEMLIST => $item_group );
	
	# HTML 生成
	print $query->header(-type=>'text/html', -charset=>'utf-8');
	print $template->output;
	
	return(1);
	
	
	
}

########################################################################################
# 関数名:get_item_group_list
# 機能  :Item Groupの取得
# 引数  :なし
# 戻り値:1
########################################################################################
sub get_item_group_list {
	# Item Groupの取得
	my $sql = qq(SELECT item_group_id, item_group_name FROM tbl_item_group ORDER BY item_group_name ASC);
	my $dbh = &common::db_open();
	my $sth = &common::execute_sql($dbh, $sql, 'add_item.cgi');
	
	my @loop_data = ();
	
	while(my @row = $sth->fetchrow) {
		my %row_data;
		$row_data{item_group_id} = $row[0];
		$row_data{item_group} = $row[1];
		push(@loop_data, \%row_data);
	}

	$dbh->commit     || warn $dbh->errstr;
	$dbh->disconnect || warn $dbh->errstr;
	
	return (\@loop_data);

}


