#!/usr/bin/perl
########################################################################################
# ファイル名：exec_item_delete.cgi
# 機能：渡されたItemIDに一致する登録情報を削除
#
# 改訂履歴：
# 1.0.0 ：新規作成      2009/11/18  
# 1.0.1 ：修正　DB更新失敗時のロールバック処理の追加　2010/6/4
########################################################################################
use strict;
use warnings;
use lib qw( ./pm );
use system_config;
use CGI;
use common;
use HTML::Template;
use utf8;

&main();
exit(1);

########################################################################################
# 関数名:main
# 機能  :main処理
# 引数  :なし
# 戻り値:1
########################################################################################
sub main {
	# CGIオブジェクト
	my $query = new CGI;
	
	&common::check_referer($query);
	
	# 引数の取得
	my $item_id = int($query->param('item_id'));
	
	# DB接続
	my $dbh = &common::db_open();
	&exec_delete($dbh , $item_id);

	# ----------------------------------
	# テンプレートのパラメータ設定
	#
	my $template = HTML::Template->new(filename => './template/update.tmpl');
	$template->param(COMMENT => $::msg_delete_finish);

	# 返値設定
	print $query->header(-type=>'text/html', -charset=>'utf-8');
	print $template->output;
	
	return(1);
}

########################################################################################
# 関数名:exec_delete
# 機能  :delete文実行(tbl_itemテーブル1行削除)
# 引数  :$dbh , $item_id
# 戻り値:1
########################################################################################
sub exec_delete {
	my($item_id);
	my($dbh);
	my($sth);
	
	# 引数取得
	$dbh = shift(@_);
	$item_id = shift(@_);
	
	# SQL作成
	my $sql = qq{ DELETE FROM tbl_item WHERE item_id = ? };
	my @data = ($item_id);
	$sth = &common::execute_sql($dbh, $sql, 'exec_item_delete.cgi',
					'./template/update.tmpl', 'COMMENT', $::msg_db_error2, @data);
	
	# 検索終了(SQL開放)
	#########################################
	$sth->finish;
	
	# コミット＆切断
	#########################################
	$dbh->commit || warn $dbh->errstr;
	$dbh->disconnect || warn $dbh->errstr;
	
	return(1);
}
