#!/usr/bin/perl
########################################################################################
# ファイル名：exec_item_insert.cgi
# 機能：アイテムの新規登録
#
# 改訂履歴：
# 1.0.0 ：新規作成      2009/11/12
# # 1.0.1 ：修正　DB更新失敗時のロールバック処理の追加　2010/6/4
########################################################################################
use strict;
use warnings;
use lib qw( ./pm );
use system_config;
use CGI;
use common;
use HTML::Template;
use utf8;

&main();
exit(1);

########################################################################################
# 関数名:main
# 機能  :main処理
# 引数  :なし
# 戻り値:1
########################################################################################
sub main {
	
	# CGIオブジェクト
	my $query = new CGI;
	
	&common::check_referer($query);
	
	my($result_comment);
	
	# 引数の取得
	my $item      = $query->param('item');
	my $url       = $query->param('url');
	my $link      = $query->param('link');
	my $user      = $query->param('user');
	my $password  = $query->param('password');
	my $group     = $query->param('group');
	my $medals_id = $query->param('medals_id');
	my $comment   = $query->param('comment');
	
	# DB接続
	my $dbh = &common::db_open();
	&tbl_item_insert($dbh, $item, $url, $link, $user, $password, $group, $medals_id, $comment);

	# ----------------------------------
	# テンプレートのパラメータ設定
	#
	my $template = HTML::Template->new(filename => './template/update.tmpl');
	$template->param( COMMENT => $::msg_update_finish );

	# 返値設定
	print $query->header(-type=>'text/html', -charset=>'utf-8');
	print $template->output;
	
	return(1);
}

########################################################################################
# 関数名:tbl_item_insert
# 機能  :insert文実行
# 引数  :$dbh, $item, $url, $link, $user, $password, $group, $comment
# 戻り値:1
########################################################################################
sub tbl_item_insert {
	my($sth);
	
	my ($dbh, $item, $url, $link, $user, $password, $group, $medals_id, $comment) = @_;

	my $sql = qq { INSERT INTO tbl_item (item_name, item_URL, follow_link, user_id, password, medals_id, comment, item_group_id) 
				 VALUES(?, ?, ?, ?, ?, ?, ?, ?)};
	my @data = ($item, $url, $link, $user, $password, $medals_id, $comment, $group);
	
	$sth = &common::execute_sql($dbh, $sql, 'exec_item_insert.cgi',
					'./template/update.tmpl', 'COMMENT', $::msg_db_error1, @data);

	# 検索終了(SQL開放)
	#########################################
	$sth->finish;
	
	# コミット＆切断
	#########################################
	$dbh->commit || warn $dbh->errstr;
	$dbh->disconnect || warn $dbh->errstr;
	
	return(1);
}
