#!/usr/bin/perl
########################################################################################
# ファイル名：search_item_group.cgi
# 機能：Item Groupのリストの一覧を作成
#
# 改訂履歴：
# 1.0.0 ：新規作成      2009/11/11
# 
########################################################################################
use strict;
use warnings;
use lib qw( ./pm );
use system_config;
use CGI;
use common;
use HTML::Template;

&main();
exit(1);

########################################################################################
# 関数名:main
# 機能  :main処理
# 引数  :なし
# 戻り値:1
########################################################################################
sub main {
	my $query = new CGI;
	my($name);
	my($comment);
	my $group_id = $query->param("id");
	
	if($group_id eq 'new') {
		$name = "";
		$comment = ""
	} else {
		my $id_int = int ($group_id);
		($name, $comment) = &get_item_group_list($id_int);
	}
	# 検索結果
	my $template = HTML::Template->new(filename => './template/form_group_table.tmpl');
	$template->param( group_name => $name );
	$template->param( group_comment => $comment );
	
	# HTML 生成
	print $query->header(-type=>'text/html', -charset=>'utf-8');
	print $template->output;
	
	return(1);
}

########################################################################################
# 関数名:get_item_group_list
# 機能  :tbl_item_groupの検索
# 引数  :アイテムグループ番号
# 戻り値:アイテム名　コメント
########################################################################################
sub get_item_group_list {
	my $name;
	my $comment;
	
	my $key = shift(@_);
	# Item Groupの検索
	my $sql = qq{SELECT item_group_name, comment FROM tbl_item_group WHERE item_group_id = ? };
	my @data = ($key);

	my $dbh = &common::db_open();
	my $sth = &common::execute_sql($dbh, $sql, 'search_item_group.cgi', -1, -1, -1, @data);
	
	
	while(my @row = $sth->fetchrow) {
		my %row_data;
		$name = $row[0];
		$comment = $row[1];
	}
	#print "id=$id";

	$dbh->commit     || warn $dbh->errstr;
	$dbh->disconnect || warn $dbh->errstr;

	return ($name, $comment);

}

